.navigation {
    background-color: $background-color-1;
    padding-bottom: 10px;
    padding-top: 10px;
    position: relative;
    z-index: 1;
    @media (min-width: $screen-sm-min) {
        padding-bottom: 15px;
        padding-top: 15px;
    }
    .navigation-header {
        position: relative;
        .navigation-logo {
            display: inline-block;
            height: 40px;
            vertical-align: middle;
            @media (min-width: $screen-sm-min) {
                height: 50px;
            }
            >img {
                display: block;
                max-height: 100%;
                width: auto;
            }
        }
        .navigation-toggle {
            background-color: transparent;
            border-width: 0;
            bottom: 0;
            color: $text-color-default;
            height: 40px;
            margin: auto 0;
            padding: 0;
            position: absolute;
            right: 0;
            top: 0;
            @media (min-width: $screen-sm-min) {
                height: 50px;
            }
            span {
                font-weight: 700;
                text-transform: uppercase;
                vertical-align: middle;
                @media (min-width: $screen-sm-min) {
                    font-size: 20px;
                }
            }
            i {
                font-size: 38px;
                margin-left: 5px;
                vertical-align: middle;
                @media (min-width: $screen-sm-min) {
                    font-size: 44px;
                    margin-left: 10px;
                }
            }
        }
    }
    .navigation-menu {
        position: relative;
        ul {
            list-style-image: none;
            list-style-position: outside;
            list-style-type: none;
        }
        .main {
            @include transition-duration(0.2s);
            @include transition-property(opacity, top, visibility);
            @include transition-timing(cubic-bezier(0.22, 0.61, 0.36, 1));
            background-color: $background-color-default;
            left: 0;
            margin: 0 -15px;
            opacity: 0;
            overflow: hidden;
            padding: 20px 15px 20px 70px;
            position: absolute;
            right: 0;
            top: -20px;
            visibility: hidden;
            @media (min-width: $screen-sm-min) {
                left: auto;
                margin: 0;
                width: auto;
            }
            &.active {
                opacity: 1;
                top: 10px;
                visibility: visible;
                @media (min-width: $screen-sm-min) {
                    top: 15px;
                }
            }
            &::before {
                background-color: $background-color-3;
                color: $text-color-1;
                content: "\f097";
                font-family: "FontAwesome", sans-serif;
                font-size: 28px;
                height: 100%;
                left: 0;
                padding-top: 22px;
                position: absolute;
                text-align: center;
                top: 0;
                width: 55px;
            }
            >li {
                border-bottom: 1px dotted $background-color-1;
                padding: 8px 50px 8px 0;
                &:first-child {
                    border-top: 1px dotted $background-color-1;
                }
                >a {
                    color: $text-color-1;
                    font-size: 18px;
                    text-decoration: none;
                }
            }
        }
        .submenu {
            @include transition-duration(0.4s);
            @include transition-property(left);
            @include transition-timing(cubic-bezier(0.22, 0.61, 0.36, 1));
            background-color: $background-color-default;
            left: 100%;
            padding: 20px 15px 20px 70px;
            position: absolute;
            top: 0;
            width: 100%;
            &.active {
                left: 0%;
            }
            &::before {
                background-color: $background-color-3;
                content: "";
                height: 100%;
                left: 0;
                position: absolute;
                top: 0;
                width: 55px;
            }
            li {
                border-bottom: 1px dotted $background-color-1;
                padding: 8px 50px 8px 0;
                a {
                    color: $text-color-1;
                    font-size: 18px;
                    text-decoration: none;
                }
                .name {
                    color: $text-color-body;
                    font-size: 20px;
                    font-weight: 700;
                    vertical-align: middle;
                }
            }
        }
        .drop-down-toggle {
            color: $text-color-1;
            cursor: pointer;
            font-family: $font-family-fontawesome;
            font-size: 36px;
            height: 26px;
            line-height: 24px;
            position: absolute;
            text-align: center;
            width: 40px;
            &.back {
                height: 100%;
                left: 0;
                width: 55px;
                &::before {
                    content: "\f104";
                }
            }
            &.next {
                right: 15px;
                &::before {
                    content: "\f105";
                }
            }
        }
    }
    &.desktop {
        @media (min-width: $screen-lg-min) {
            padding-bottom: 0px;
            padding-top: 30px;
            .navigation-header {
                float: left;
                .navigation-toggle {
                    display: none;
                }
            }
            .navigation-menu {
                float: right;
                ul {
                    >li {
                        position: relative;
                    }
                }
                .main {
                    background-color: transparent;
                    height: auto !important;
                    opacity: 1;
                    overflow: visible;
                    padding: 0;
                    position: static;
                    visibility: visible;
                    &::before {
                        display: none;
                    }
                    >li {
                        border-width: 0;
                        float: left;
                        padding: 0;
                        &:first-child {
                            border-top-width: 0;
                        }
                        >a {
                            color: $text-color-2;
                            display: inline-block;
                            font-weight: 700;
                            padding: 20px 15px;
                            position: relative;
                            text-decoration: none;
                            &.active {
                                background-color: $background-color-default;
                                color: $text-color-1;
                            }
                            &:hover::after {
                                background-color: $background-color-default;
                                bottom: 0;
                                content: "";
                                height: 5px;
                                left: 0;
                                position: absolute;
                                width: 100%;
                            }
                        }
                    }
                }
                .submenu {
                    height: auto !important;
                    left: 0;
                    padding: 0 15px;
                    top: auto;
                    &::before {
                        display: none;
                    }
                    li {
                        margin-left: -15px;
                        margin-right: -15px;
                        padding: 0;
                        &:last-child {
                            border-bottom-width: 0;
                        }
                        >a {
                            display: block;
                            padding: 8px 15px;
                            &:hover {
                                background-color: $background-color-3;
                            }
                        }
                    }
                }
                .drop-down {
                    +.submenu {
                        @include transition-duration(0.2s);
                        @include transition-property(opacity, top, visibility);
                        @include transition-timing(cubic-bezier(0.22, 0.61, 0.36, 1));
                        opacity: 0;
                        top: 31px;
                        visibility: hidden;
                        &:hover {
                            opacity: 1;
                            top: 65px;
                            visibility: visible;
                        }
                    }
                    &:hover {
                        +.submenu {
                            opacity: 1;
                            top: 65px;
                            visibility: visible;
                        }
                    }
                }
            }
        }
    }
}